APIPush registrations
Register Push Devices
Register or refresh device installs for the calling user. Idempotent per install. A revocation secret is returned only for a registration this request created or re-enabled.
Authorization
BearerAuth AuthorizationBearer <token>
Botyard API key — see /docs/authentication.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Register or refresh device installs for the calling user.
Response Body
application/json
curl -X PUT "https://example.com/v1/me/push-registrations" \ -H "Content-Type: application/json" \ -d '{ "registrations": [ { "device_install_id": "string", "platform": "ios", "apns_token": "string", "apns_environment": "production" } ] }'{
"registrations": [
{
"registration_id": "string",
"device_install_id": "string",
"platform": "ios",
"apns_environment": "production",
"app_version": "string",
"created_at": "2019-08-24T14:15:22Z",
"last_seen_at": "2019-08-24T14:15:22Z",
"disabled_at": "2019-08-24T14:15:22Z",
"disabled_reason": "signed_out",
"revocation_secret": "string"
}
],
"push_enabled": true
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"error_code": "string",
"errors": [
{
"pointer": "string",
"detail": "string",
"type": "string"
}
],
"trace_id": "string"
}